Package com.scriptel.proscript

## Interface InputListener

- All Known Implementing Classes:
    `AbstractInputListener`

      public interface InputListener

  This interface describes a class capable of receiving input events from a ScripTouch device.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `receiveButtonEvent​(ButtonEvent c)` | Receives a button event.
    `void` | `recieveADCChannelValues​(ADCChannelValues c)` | Receives an ADC channel value reading.
    `void` | `recieveADCScanValues​(ADCScanValues c)` | Receives an ADC scan value reading.
    `void` | `recieveCoordinateEvent​(Coordinate c)` | Receives either a coordinate or an extended coordinate from the device.
    `void` | `recieveDebugCoordinateEvent​(DebugCoordinate c)` | Receives a debug coordinate.
    `void` | `recieveMagneticStripEvent​(MagneticCardSwipe c)` | Receives a magnetic card swipe event.

- - ### Method Detail

    - #### recieveCoordinateEvent

          void recieveCoordinateEvent​(Coordinate c)

      Receives either a coordinate or an extended coordinate from the device.
      Parameters:
        `c` - Coordinate to receive.

    - #### recieveDebugCoordinateEvent

          void recieveDebugCoordinateEvent​(DebugCoordinate c)

      Receives a debug coordinate.
      Parameters:
        `c` - Debug coordinate to receive.

    - #### recieveMagneticStripEvent

          void recieveMagneticStripEvent​(MagneticCardSwipe c)

      Receives a magnetic card swipe event.
      Parameters:
        `c` - Magnetic card swipe event.

    - #### recieveADCScanValues

          void recieveADCScanValues​(ADCScanValues c)

      Receives an ADC scan value reading.
      Parameters:
        `c` - ADC scan value reading.

    - #### recieveADCChannelValues

          void recieveADCChannelValues​(ADCChannelValues c)

      Receives an ADC channel value reading.
      Parameters:
        `c` - ADC channel value reading.

    - #### receiveButtonEvent

          void receiveButtonEvent​(ButtonEvent c)

      Receives a button event.
      Parameters:
        `c` - Button event.